@echo off

REM ============================================================
REM Clear Java Cache
REM ------------------------------------------------------------

javaws.exe -clearcache -Xnosplash

if %ERRORLEVEL% GEQ 1 (
	echo. 
	echo ERROR: Clearing of Java Cache Failed.
	echo. 
) else (
	echo. 
	echo SUCCESS: Java Cache has been cleared.
	echo. 
)
REM ============================================================
REM Clear Collab Launcher Cache
REM ------------------------------------------------------------

echo Clearing Blackboard Collaborate Launcher Cache ...
rd "%LOCALAPPDATA%\Blackboard\Blackboard Collaborate Launcher\collabLauncherCache\6.0" /S /Q > nul 2>&1
rd "%LOCALAPPDATA%\Blackboard\Blackboard Collaborate Launcher\collabLauncherCache\security" /S /Q > nul 2>&1


REM ============================================================
REM Clear IE cache
REM ------------------------------------------------------------

echo Clearing Internet Explorer Cache ...
RunDll32.exe InetCpl.cpl,ClearMyTracksByProcess 8

REM ============================================================
REM Clear Chrome Cache
REM ------------------------------------------------------------

echo Clearing Chrome Cache ...
del /Q /F "C:\Users\%USERNAME%\AppData\Local\AppData\Local\Google\Chrome\User Data\Default\Cache\*" > nul 2>&1

REM ============================================================
REM Delete the downloaded Collaborate files
REM ------------------------------------------------------------

echo Deleting Collaborate Downloaded files ...

del /Q /F C:\Users\%USERNAME%\Downloads\*.collab > nul 2>&1

del /Q /F C:\Users\%USERNAME%\Downloads\*.jnlp > nul 2>&1
REM ------------------------------------------------------------


echo.
echo Process Complete.  Press any key to close this window.
pause > nul
